import { Poi2, PoiOptionsParam2 } from "../elements";
import { Layer } from "./layer";
import { Context } from "../context/context";
import { Timer } from "../utils";
export declare class PoiLayer2 extends Layer {
    pois: Poi2[];
    timer: Timer;
    constructor(context: Context);
    clear(): this;
    createPoi(options: PoiOptionsParam2): Poi2;
    removePoi(poi: Poi2): void;
    removePoiById(id: string): void;
    getPoiById(id: string): Poi2 | null;
    /**
     * 保存poi按照level排序
     * @param poi
     */
    pushPoi(poi: Poi2): void;
    changePoiLevelOrCollisionEnable(poi: Poi2): void;
    getPoiByDeviceXy(x: number, y: number): Poi2[];
    setOpacity(opacity: number): void;
    onAddToScene(type: "scene" | "mulFloors"): void;
    onRemoveFromScene(): void;
    dispose(): void;
}
